jQuery.noConflict();
// ----------- auto height fixing -----------

 (function($){

    // GS Posts Isotop
    function gspostsFilter() {
        var gspostsArea = $('.gs_wpposts_area.gs_wppost_filter_1, .gs_wpposts_area.gs_wppost_filter_2, .gs_wpposts_area.gs_wppost_filter_3');

        if ( gspostsArea.length > 0 ) {

            gspostsArea.each(function(){

                var $this = $(this);

                var gspostsIsotop = $this.find('.gs-all-items-filter-wrapper');

                // init Isotope
                var filterValue = '*';

                var gspostsMsnry = gspostsIsotop.isotope({
                    itemSelector: '.gs-filter-single-item',
                    layoutMode: 'fitRows',
                    transitionDuration: '.6s',
                    hiddenStyle: {
                        opacity: 0,
                        transform: "scale(.85)"
                    },
                    visibleStyle: {
                        opacity: 1,
                        transform: "scale(1)"
                    }
                });

                $this.find('.gs-wppost-filter-cats .filter').on( 'click', function(e) {

                    e.preventDefault();

                    if ( $(this).hasClass('active') ) {
                        return false;
                    } else {
                        $(this).addClass('active').siblings('li').removeClass('active');
                    }

                    var $this = $(this);
                    var filterValue = $this.data('filter');

                    if ( filterValue == 'all' ) {
                        filterValue = '*';
                    }

                    // set filter for Isotope
                    gspostsMsnry.isotope({ filter: filterValue });

                    return $(this);
                });
            });
        }
    }

    $(window).load(function() {
        // Run the gsposts filter
        gspostsFilter();
    });

    $(window).resize(function() {
        // Needs to be a timeout function so it doesn't fire every ms of resize
        var handler = setTimeout(function() {
            // Celar the timeout function
            clearTimeout(handler);

        }, 120);
    });
})(jQuery);