<?php

// -- Getting values from setting panel
function gs_wpposts_getoption( $option, $section, $default = '' ) {
    $options = get_option( $section );
    if ( isset( $options[$option] ) ) {
        return $options[$option];
    }
    return $default;
}

//-- Shortcode [gs_wpposts]
//-- shortcode with theme: [gs_wpposts theme="gs_wppost_theme4" cols="2"]

add_shortcode('gs_wpposts','gs_wpposts_shortcode');
function gs_wpposts_shortcode( $atts ) {
    $gswppost_op_wpposts_cols        = gs_wpposts_getoption('gs_wpposts_cols', 'gs_wpposts_option_01_settings', 3);
    $gswppost_op_wpposts_theme       = gs_wpposts_getoption('gs_wpposts_theme', 'gs_wpposts_option_01_settings', 'gs_wppost_grid_1');
    $gswppost_op_wppost_title         = gs_wpposts_getoption('gs_wppost_title', 'gs_wpposts_option_02_settings', 'on');
    $gswppost_op_wppost_details       = gs_wpposts_getoption('gs_wppost_details', 'gs_wpposts_option_02_settings', 'on');
    $gswppost_op_wppost_link_tar      = gs_wpposts_getoption('gs_wppost_link_tar', 'gs_wpposts_option_01_settings', '_blank');
    $gswppost_op_wppost_details_contl = gs_wpposts_getoption('gs_wppost_details_contl', 'gs_wpposts_option_01_settings', 100);
    $gswppost_op_wppost_details_readmore = gs_wpposts_getoption('gs_wppost_details_readmore', 'gs_wpposts_option_01_settings', 'Read More');
    //taxonomy & others
    $gswppost_op_author        = gs_wpposts_getoption('gs_wppost_author', 'gs_wpposts_option_02_settings', 'on');
    $gswppost_op_date          = gs_wpposts_getoption('gs_wppost_date', 'gs_wpposts_option_02_settings', 'on');
    $gswppost_op_category      = gs_wpposts_getoption('gs_wppost_category', 'gs_wpposts_option_02_settings', 'on');
    $gswppost_op_tag           = gs_wpposts_getoption('gs_wppost_tag', 'gs_wpposts_option_02_settings', 'on');

    $paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;

    extract(shortcode_atts(
        array(
        'num'           => -1,
        'order'         => 'DESC',
        'orderby'       => 'date',
        'theme'         => $gswppost_op_wpposts_theme,
        'cols'          => $gswppost_op_wpposts_cols,
        'desc_limit'    => $gswppost_op_wppost_details_contl,
        'group'         => '',
        'cats_name'     => ''
        ), $atts
    ));

    $GLOBALS['gs_wpposts_loop'] = new WP_Query(
        array(
        'post_type'        => 'post',
        'order'            => $order,
        'orderby'          => $orderby,
        'posts_per_page'   => $num,
        // 'wpposts_group'    => $group,
        'category_name'    => $group,
        'paged'            => $paged
    ));


        $output = '';
        $output = '<div class="wrap gs_wpposts_area '.$theme.'">';

        if ( $theme == 'gs_wppost_grid_1') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_grid_1_square_overlay.php';
        }
        if ( $theme == 'gs_wppost_grid_2') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_grid_2_square_halfoverlay.php';
        }
        if ( $theme == 'gs_wppost_grid_3') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_grid_3_square_bottominfo.php';
        }
        if ( $theme == 'gs_wppost_horizontal_1') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_horizontal_1_square_rightinfo.php';
        }
        if ( $theme == 'gs_wppost_horizontal_2') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_horizontal_2_square_leftinfo.php';
        }
        if ( $theme == 'gs_wppost_horizontal_3') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_horizontal_3_round_rightinfo.php';
        }
        if ( $theme == 'gs_wppost_horizontal_4') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_horizontal_4_round_leftinfo.php';
        }
        if ( $theme == 'gs_wppost_horizontal_5') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_horizontal_5_square_rightinfo_box.php';
        }
        if ( $theme == 'gs_wppost_horizontal_6') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_horizontal_6_round_rightinfo_box.php';
        }
        if ( $theme == 'gs_wppost_list_1') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_list_1_square_rightinfo_box.php';
        }
        if ( $theme == 'gs_wppost_list_2') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_list_2_square_leftinfo_box.php';
        }
        if ( $theme == 'gs_wppost_list_3') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_list_3_round_rightinfo_box.php';
        }
        if ( $theme == 'gs_wppost_list_4') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_list_4_round_leftinfo_box.php';
        }
        if ( $theme == 'gs_wppost_card_1') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_card_1_square_bottominfo.php';
        }
        if ( $theme == 'gs_wppost_card_2') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_card_2_round_bottominfo.php';
        }
        if ( $theme == 'gs_wppost_table_1') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_table_1_line.php';
        }
        if ( $theme == 'gs_wppost_table_2') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_table_2_box.php';
        }
        if ( $theme == 'gs_wppost_table_3') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_table_3_oddeven.php';
        }
        if ( $theme == 'gs_wppost_grey_1') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_grey_1_square.php';
        }
        if ( $theme == 'gs_wppost_grey_2') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_grey_2_round.php';
        }
        if ( $theme == 'gs_wppost_slider_1') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_slider_1_squarezoom.php';
        }
        if ( $theme == 'gs_wppost_slider_2') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_slider_2_squarehover.php';
        }
        if ( $theme == 'gs_wppost_slider_3') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_slider_3_squarehoverpop.php';
        }
        if ( $theme == 'gs_wppost_popup_1') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_popup_1_square.php';
        }
        if ( $theme == 'gs_wppost_popup_2') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_popup_2_square.php';
        }
        if ( $theme == 'gs_wppost_filter_1') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_filter_1.php';
        }
        if ( $theme == 'gs_wppost_filter_2') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_filter_2.php';
        }
        if ( $theme == 'gs_wppost_masonry1') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_masonry1.php';
        }
        if ( $theme == 'gs_wppost_masonry2') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_masonry2.php';
        }
        if ( $theme == 'gs_wppost_masonry3') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_masonry3_gallery.php';
        }
        if ( $theme == 'gs_wppost_justified1') {
            include GSWPPOSTS_FILES_DIR . '/includes/templates/gs_wpposts_structure_justified1.php';
        }

        $output .= '</div>'; // end wrap
    return $output;
}

// -- CSS values
if ( !function_exists( 'gs_wpposts_setting_styles' )) {
    function gs_wpposts_setting_styles() {
        //this variable hold user input data/settings from style settings
        $gswppost_wppost_fz          = gs_wpposts_getoption('gs_wppost_fz', 'gs_wpposts_style_settings', 18);
        $gswppost_wppost_fntw        = gs_wpposts_getoption('gs_wppost_fntw', 'gs_wpposts_style_settings', 'normal');
        $gswppost_wppost_fnstyl      = gs_wpposts_getoption('gs_wppost_fnstyl', 'gs_wpposts_style_settings', 'normal');
        $gswppost_wppost_name_color  = gs_wpposts_getoption('gs_wppost_name_color', 'gs_wpposts_style_settings', '#141412');
        $gswppost_wppost_label_fz    = gs_wpposts_getoption('gs_wppost_label_fz', 'gs_wpposts_style_settings', 18);
        $gswppost_wppost_label_color = gs_wpposts_getoption('gs_wppost_label_color', 'gs_wpposts_style_settings', '#0BF');
        $gswppost_wppost_filter_align = gs_wpposts_getoption('gs_wppost_filter_align', 'gs_wpposts_style_settings', 'center');

    ?>
    <style>        
        .gs-wppost-name,
        .gs-wppost-name a,
        .single-gs_wpposts .gs-sin-wppost-name,
        .gs-archive-container .gs-arc-wppost-name {
            font-size: <?php echo $gswppost_wppost_fz;?>px;
            font-weight: <?php echo $gswppost_wppost_fntw; ?>;
            font-style: <?php echo $gswppost_wppost_fnstyl; ?>;
            color: <?php echo $gswppost_wppost_name_color; ?>;
        }

        .wppost-label {
            font-size: <?php echo $gswppost_wppost_label_fz;?>px;
            color: <?php echo $gswppost_wppost_label_color; ?>;
        }
        .gs-wppost-filter-cats{
            text-align:<?php echo $gswppost_wppost_filter_align; ?>;
        }
    </style>
    <?php
    }
}
add_action('wp_head', 'gs_wpposts_setting_styles' );

// -- OWL Carousel
if (!function_exists('gs_wpposts_slider_trigger')) {

    function gs_wpposts_slider_trigger(){ ?>
        <script type="text/javascript">
            jQuery.noConflict();
            jQuery(document).ready(function(){

            jQuery('.wppostsslider').owlCarousel({
                autoplay: true,
                autoplayHoverPause: true,
                loop: true,
                margin: 10,
                autoplaySpeed: 1000,
                autoplayTimeout: 2500,
                navSpeed: 1000,
                dots: true,
                // dotsEach: true,
                responsiveClass:true,
                lazyLoad: true,
                responsive:{
                    0:{
                        items:1,
                        nav:false
                    },
                    533:{
                        items:2,
                        nav:false
                    },
                    768:{
                        items:3,
                        nav:false
                    },
                    1000:{
                        items:3,
                        nav:true
                    }
                }
            }) // end of owlCarousel latest product
            });
        </script>
    <?php
    }
    add_action('wp_head', 'gs_wpposts_slider_trigger' );
}


// -- Magnific Popup
if ( !function_exists('gs_wpposts_magnific_popup')) {
    function gs_wpposts_magnific_popup(){ ?>
        <script type="text/javascript">
            jQuery.noConflict();
            jQuery(document).ready(function(){

                jQuery('.single-wppost-pop-base').magnificPopup({
                    type:'inline',
                    midClick: true,
                    gallery:{
                        enabled:true
                    },
                    delegate: 'a.popup-link',
                    removalDelay: 500, //delay removal by X to allow out-animation
                    callbacks: {
                        beforeOpen: function() {
                           this.st.mainClass = this.st.el.attr('data-effect');
                        }
                    },
                      closeOnContentClick: true,
                });
            });
        </script>
    <?php
    }
    add_action( 'wp_footer','gs_wpposts_magnific_popup' );
}

// -- Masonary
if ( !function_exists('gs_wpposts_masonry')) {
    
    function gs_wpposts_masonry(){ 
        
        ?>
        <script type="text/javascript">
            jQuery.noConflict();
            jQuery(document).ready(function(){
                
                var $gs_insta_grid = jQuery('.gs-posts-masonry, .gs-posts-masonry2').masonry({
                  // options
                  itemSelector: '.single-wppost',
                  columnWidth: '.single-wppost',
                  percentPosition: true,
                  gutter: 15
                });

                // layout Masonry after each image loads
                $gs_insta_grid.imagesLoaded().progress( function() {
                  $gs_insta_grid.masonry('layout');
                });

            });
        </script>
    <?php
    }
    add_action( 'wp_footer','gs_wpposts_masonry' );
}

// -- Justified
if ( !function_exists('gs_wpposts_justified')) {
    
    function gs_wpposts_justified(){ ?>
        <script type="text/javascript">
            jQuery.noConflict();
            jQuery(document).ready(function(){

                jQuery(".gs-posts-justified").justifiedGallery({
                    rowHeight : 250,
                    lastRow : 'justify',
                    margins : 10
                }).on('jg.complete', function () {
                    jQuery(this).find('a').colorbox({
                        maxWidth : '80%',
                        maxHeight : '80%',
                        opacity : 0.8,
                        transition : 'elastic',
                        current : '',
                        rel:'gsinsta_rel'
                    });
                });
            });
        </script>
    <?php
    }
    add_action( 'wp_footer','gs_wpposts_justified' );
}