<?php
/*
 * GS wppost - Theme Masonry2
 * @author Golam Samdani <samdani1997@gmail.com>
 */

$output .= '<div class="gs-posts-justified">';

    if ( $GLOBALS['gs_wpposts_loop']->have_posts() ) {
        while ( $GLOBALS['gs_wpposts_loop']->have_posts() ) {
            $GLOBALS['gs_wpposts_loop']->the_post();

            $gswppost_wppost_id      = get_post_thumbnail_id();
            $gswppost_wppost_url     = wp_get_attachment_image_src($gswppost_wppost_id, 'gs-masonry-thumb', true);
            $gswppost_wppost_url2    = wp_get_attachment_image_src($gswppost_wppost_id, 'full', true);
            $gswppost_wppost_thumb   = $gswppost_wppost_url[0];
            $gswppost_wppost_thumb2  = $gswppost_wppost_url2[0];
            $gswppost_wppost_alt     = get_post_meta($gswppost_wppost_id,'_wp_attachment_image_alt',true);
            $gswppost_wppost_title   = get_the_title();
                       
            $output .= '<div class="single-wppost">'; // start single wppost
                $output .= '<a class="gsinsta_rel" href="'. $gswppost_wppost_thumb2 .'" title="'. $gswppost_wppost_title .'">';
                    if ( has_post_thumbnail() )
                        $output .= '<img src="'. $gswppost_wppost_thumb .'" alt="'. $gswppost_wppost_alt .'" />';
                    else {
                        $output .= '<img src="' . GSWPPOSTS_FILES_URI . '/assets/img/no_img.png" class=""/>';
                    }
                $output .= '</a>';
            $output .= '</div>'; // end single wppost
            
        } // end while loop
        do_action('gs_wppost_custom_css');
    } // if loop end
    else { $output .= "No Post Added!";  }

    wp_reset_postdata();

$output .= '</div>'; // end gs-posts-masonry

return $output;